> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create business address



## OpenAPI

````yaml Customer patch /organization/createAddress/{organizationId}
openapi: 3.0.0
info:
  title: Customer
  description: customer
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/customer
security:
  - default: []
paths:
  /organization/createAddress/{organizationId}:
    patch:
      tags:
        - Organization
      summary: Create business address
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: organizationId
          in: path
          description: Organization id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Addresses'
        required: false
      responses:
        '200':
          description: Create organization document response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOrganizationAddressResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - default: []
components:
  schemas:
    Addresses:
      type: object
      properties:
        addressPurpose:
          type: string
        address:
          $ref: '#/components/schemas/Address'
    CreateOrganizationAddressResponse:
      type: object
      properties:
        tenantId:
          type: string
        organizationId:
          type: string
        addressIds:
          type: array
          items:
            $ref: '#/components/schemas/AddressIds'
    ErrorResponse:
      properties:
        httpCode:
          type: number
        internalCode:
          type: number
        internalType:
          type: string
        severity:
          type: string
        description:
          type: string
    Address:
      type: object
      properties:
        country:
          type: string
        area:
          type: string
        zipCode:
          type: string
        city:
          type: string
        street:
          type: string
        streetNumber:
          type: array
          items:
            type: string
        building:
          type: string
        apartment:
          type: string
        entrance:
          type: string
        floor:
          type: string
        doorNumber:
          type: string
        geoPosition:
          $ref: '#/components/schemas/GeoPosition'
        alternative:
          $ref: '#/components/schemas/ThreeWords'
        relatedToAddress:
          type: array
          items:
            $ref: '#/components/schemas/AddressRelation'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalData'
    AddressIds:
      type: object
      properties:
        addressId:
          type: string
    GeoPosition:
      type: object
      properties:
        latitude:
          type: number
        longitude:
          type: number
        altitude:
          type: number
    ThreeWords:
      type: object
      properties:
        word1:
          type: string
        word2:
          type: string
        word3:
          type: string
    AddressRelation:
      type: object
      properties:
        relationType:
          $ref: '#/components/schemas/AddressRelationType'
        address:
          type: string
    AdditionalData:
      type: object
      properties:
        name:
          type: string
        type:
          $ref: '#/components/schemas/AdditionalDataType'
        value:
          type: string
    AddressRelationType:
      type: string
      enum:
        - near_by
        - crossing
        - opposite_to
        - inside_of
        - behind
        - infront
    AdditionalDataType:
      type: string
      enum:
        - Number
        - Boolean
        - json
        - string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````